/// <reference types="node" />
import { URL } from 'url';
import { API, ClientOptions } from './interfaces/';
export declare class LibrariesIO {
    private readonly requestService;
    private readonly options;
    readonly api: API;
    constructor(apiKey: string);
    constructor(options: ClientOptions);
    setApiUrl(newUrl: URL): void;
}
